<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Scanning|Discovery Scan Tasks">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="A discovery scan runs Nmap along with a few service specific modules to identify the systems that are alive and to find the open ports and services. " /><title>Running a Discovery Scan</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#07-scanning/running-discovery-scan.html">Open topic with navigation</a>
        </p>
        <h2><a name="kanchor75"></a>Running a Discovery Scan</h2>
        <p>A discovery scan runs Nmap along with a few service specific modules to identify the systems that are alive and to find the open ports and services. At a minimum, you need to specify the addresses of the systems that you want to include in the scan. There are advanced options that you can configure as well to fine-tune the different scan phases. For example, you can bypass the port scanning phase and move onto version detection, or you can scan each host individually to accelerate the import of hosts into the project. Additionally, these advanced settings let you choose the ports, the target services, the scan speed, and the scan mode. </p>
        <p>Since the discovery scan mostly leverages Nmap, you can specify additional Nmap options to customize the scan. For example, if you want to change the scanning technique, you can provide the Nmap command line option for the technique that you want to use, and the discovery scan applies those settings instead of the default ones. For more information on Nmap options, visit the <a href="http://nmap.org/book/man-briefoptions.html" target="_blank">Nmap documentation</a>.
</p>
        <ol data-mc-continue="true">
            <li value="1">From within a project, click the <b class="UISelection">Overview </b>tab. </li>
            <li value="2">When the Overview page appears, click the <b class="UISelection">Scan </b>button. </li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-scan-button.png" title="Scan button" alt="Scan button">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="3">When the New Discovery Scan window displays, enter the target addresses that you want to include in the scan in the <b class="UISelection">Target addresses</b> field. You can enter a single IP address, an address range, or a CIDR notation. If there are multiple addresses or address ranges, use a newline to separate each entry.</li>
        </ol>
        <p>
            <img src="../Resources/Images/scanning/scanning-set-target-addresses.png" title="Target addresses" alt="Target addresses">
            </img>
        </p>
        <ol data-mc-continue="true">
            <li value="4">At this point, you can  launch the scan. However, if you want to fine-tune the scan, you can click the <b class="UISelection">Show Advanced Options</b> button to display additional options that you can set for the discovery scan.   For example, you can specify the IP addresses that you want to explicitly include and exclude from the scan.</li>
        </ol>
        <ol data-mc-continue="true">
            <li value="5">When you are ready to run the scan, click the<b class="UISelection"> Launch Scan</b> button. </li>
        </ol>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="About Scanning|about-scanning.html||Data Gathered during a Discovery Scan|discovery-scan-data.html||Discovery Scan Options|discovery-scan-options.html||Discovery Scan Tasks|discovery-scan-tasks.html||Discovery Scans|discovery-scans.html||How a Discovery Scan Works|how-discovery-scan-works.html||Importing Scan Data|importing-scan-data.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>